Returns whether the property has a given hook defined

- « ReflectionProperty::hasDefaultValue

- ReflectionProperty::hasHooks »

- PHP Manual
- ReflectionProperty
- Returns whether the property has a given hook defined

# ReflectionProperty::hasHook

(PHP 8 >= 8.4.0)

ReflectionProperty::hasHook — Returns whether the property has a given hook defined

### Description

public ReflectionProperty::hasHook(PropertyHookType `$type`): bool

Returns whether the property has a given hook defined.

### Parameters

`PropertyHookType`
  The type of hook to check for.

### Return Values

Returns `true` if the hook is defined on this property, `false` if not.

### Examples

Example #1 ReflectionProperty::hasHook() example

    <?php
    class Example
    {
        public string $name { get => "Name here"; }
    }

    $rClass = new \ReflectionClass(Example::class);
    $rProp = $rClass->getProperty('name');
    var_dump($rProp->hasHook(PropertyHookType::Get));
    var_dump($rProp->hasHook(PropertyHookType::Set));
    ?>

The above example will output:

    bool(true)
    bool(false)

### See Also

- ReflectionMethod
- PropertyHookType